Print Friendly

# Class Ext.LoadMask

Package: | Ext
Class: | LoadMask
Extends: | Object
Defined In: | LoadMask.js

A simple utility class for generically masking elements while loading data. If the element being masked has an underlying Ext.data.Store, the masking will be automatically synchronized with the store's loading process and the mask element will be cached for reuse. For all other elements, this mask will replace the element's UpdateManager load indicator and will be destroyed after the initial load.
Properties - Methods - Events - Config Options

## Public Properties

Property | Defined By
--- | ---
| disabled : Boolean | LoadMask
Read-only. True if the mask is currently disabled so that it will not be displayed (defaults to false)

## Public Methods

Method | Defined By
--- | ---
| LoadMask(`Object config`) | LoadMask
Create a new LoadMask
| disable() : void | LoadMask
Disables the mask to prevent it from being displayed
| enable() : void | LoadMask
Enables the mask so that it can be displayed

## Public Events

This class has no public events.

## Config Options

Config Options | Defined By
--- | ---
| msg : String | LoadMask
The text to display in a centered loading message box (defaults to 'Loading...')
| msgCls : String | LoadMask
The CSS class to apply to the loading message element (defaults to "x-mask-loading")
| removeMask : Boolean | LoadMask
True to create a single-use mask that is automatically destroyed after loading (useful for page loads), False to pers...

## Property Details

### disabled

`public Boolean disabled`
Read-only. True if the mask is currently disabled so that it will not be displayed (defaults to false)
This property is defined by LoadMask.

## Constructor Details

### LoadMask

`public function LoadMask(`Object config`)`
Create a new LoadMask
Parameters:

- `config` : Object
  The config object

## Method Details

### disable

`public function disable()`
Disables the mask to prevent it from being displayed
Parameters:

- None.

Returns:

- `void`

This method is defined by LoadMask.

### enable

`public function enable()`
Enables the mask so that it can be displayed
Parameters:

- None.

Returns:

- `void`

This method is defined by LoadMask.

## Config Details

### msg

`msg : String`
The text to display in a centered loading message box (defaults to 'Loading...')
This config option is defined by LoadMask.

### msgCls

`msgCls : String`
The CSS class to apply to the loading message element (defaults to "x-mask-loading")
This config option is defined by LoadMask.

### removeMask

`removeMask : Boolean`
True to create a single-use mask that is automatically destroyed after loading (useful for page loads), False to persist the mask element reference for multiple uses (e.g., for paged data widgets). Defaults to false.
This config option is defined by LoadMask.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.